%global realname hamcrest
%global upstream hyperthunk
%global debug_package %{nil}
%global git_tag 908a24fda4a46776a5135db60ca071e3d783f9f6


Name:		erlang-%{realname}
Version:	0.1.0
Release:	3%{?dist}
Summary:	A framework for writing matcher objects using declarative rules
Group:		Development/Languages
License:	MIT and BSD
URL:		https://github.com/%{upstream}/%{realname}-erlang
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}-erlang.git
%endif
#Source0:	https://github.com/%{upstream}/%{realname}-erlang/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}-erlang/archive/%{git_tag}/%{realname}-%{version}.tar.gz
Patch1:		erlang-hamcrest-0001-Remove-the-warnings-cause-by-type-declarations.patch
BuildRequires:	erlang-proper
BuildRequires:	erlang-rebar


%description
Hamcrest is a framework for writing matcher objects allowing 'match' rules to
be defined declaratively. There are a number of situations where matchers are
invaluable, such as UI validation, or data filtering, but it is in the area of
writing flexible tests that matchers are most commonly used.


%prep
#%setup -q -n %{realname}-erlang-%{version}
%setup -q -n %{realname}-erlang-%{git_tag}
%patch1 -p1 -b .fix_warnings


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test -C test.config}


%files
%license LICENCE
%doc NOTES README.markdown
%{erlang_appdir}/


%changelog
* Thu Jun  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-3
- Spec-file cleanup

* Sun Feb 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-2
- Fixed FTBFS in Rawhide

* Sun Feb 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-1
- Initial package
